#!/bin/sh

base=`/bin/pwd`

mkdir -p experiments/fig1
cd experiments/fig1

run_one()
{
	net=$1
	arch=$2
	if [ ! -e ${net}_${arch}.log ]
	then
		${base}/src/VPR_HET/vpr \
			${base}/inputs/net/${net}.net \
			${base}/inputs/arch/k4-n4_${arch}.xml \
			${base}/inputs/place/${net}.place \
			${net}.route \
			-nodisp -route_only \
			-route_chan_width `grep ${net} ${base}/inputs/cs | cut -f 2 -d =` \
			-pres_fac_mult 1.3 -max_router_iterations 1000 \
			| tee ${net}_${arch}.log
	fi
}

usage()
{
	echo "Usage: fig1.sh --all | <list of nets>"
	echo ""
	echo "Example: ./scripts/fig1.sh alu4 des tseng"
	exit	
}

if [ $# = 0 -o "x$1" = "x--help" ]
then
	usage
fi

if [ "x$1" = "x--all" ]
then
	nets=`cat ${base}/inputs/cs | cut -f 1 -d =`
else
	nets=$*
fi

for net in $nets
do
	run_one ${net} nom
	run_one ${net} fast 
done
