#!/bin/sh

base=`/bin/pwd`

. $base/scripts/util.sh

mkdir -p experiments/fig2
cd experiments/fig2

run_one()
{
	n=$1
	if [ -r ${base}/inputs/net_shuffled/${net}/$n.net ]
	then
		mkdir -p $n 
		cd $n
		if [ ! -e ${n}.log ]
		then
			${base}/src/VPR_HET/vpr \
				${base}/inputs/net_shuffled/${net}/$n.net \
				${base}/inputs/arch/k4-n4_nom.xml \
				${base}/inputs/place/${net}.place \
				${net}.route \
				-nodisp -route_only \
				-route_chan_width `grep ${net} ${base}/inputs/cs | cut -f 2 -d =` \
				-pres_fac_mult 1.3 -max_router_iterations 1000 \
				| tee ${n}.log
		fi
		cd ..
	fi
}

run_base()
{
	if [ ! -e base.log ]
	then
		${base}/src/VPR_HET/vpr \
			${base}/inputs/net/${net}.net \
			${base}/inputs/arch/k4-n4_nom.xml \
			${base}/inputs/place/${net}.place \
			${net}.route \
			-nodisp -route_only \
			-route_chan_width `grep ${net} ${base}/inputs/cs | cut -f 2 -d =` \
			-pres_fac_mult 1.3 -max_router_iterations 1000 \
			| tee base.log
	fi
}



usage()
{
	echo "Usage: fig2.sh <net name> [--base] <list of targets>"
	echo ""
	number_list_usage
	echo ""
	echo "Example: ./scripts/fig2.sh alu4 --base 1-10"
	exit	
}

if [ $# = 0 -o "x$1" = "x--help" ]
then
	usage
fi

net=$1
check_net $net
shift

mkdir -p $net
cd $net

if [ "x$1" = "x--base" ]
then
	run_base
	shift
fi

for n in `number_list $1`
do
	run_one $n
done
