#!/usr/bin/perl

push @INC,"./scripts";

require("common.pl");

my %c_hash;

{
	my @ret=();

	open(my $cs,"<inputs/cs");
	while(<$cs>)
	{
		if(/\s*(.+?)\s*=\s*(\d+)/)
		{
			$c_hash{$1}=$2;
		}
	}
	close $cs;
}

my @table = (["net","pfm","n","type","c","cp"]);

sub parse_fname($)
{
	my $fname=shift;
	if($fname =~ /experiments\/table\/([^\/]+)\/([^\/]+)\/(\d+)\/\d+.log/)
	{
		return [ $1, $2, $3, 'perturbed',$c_hash{$1} ];
	}
	elsif($fname =~ /experiments\/table\/([^\/]+)\/([^\/]+)\/base.log/)
	{
		return [ $1, $2, -1, 'normal',$c_hash{$1} ];
	}
}

printf("Reading logs\n");
foreach my $fname (glob("experiments/table/*/*/base.log experiments/table/*/*/*/*.log"))
{
	my $record = &parse_fname($fname);
	
	next if(!defined($record));

	push @$record, &log2crit_path($fname);

	push @table,$record;


}
printf("Writing to table.dat\n");
&print_mat("table.dat",\@table);
