#!/usr/bin/perl

push @INC,"./scripts";

require("common.pl");

open(my $gplot,">fig1.gplot") or die;
print $gplot "#       vim: syntax=gnuplot:\n";
print $gplot "set term pdfcairo color\n";
print $gplot "set output \"fig1.pdf\"\n";
print $gplot "unset key\n";
print $gplot "set title \"Figure 1\"\n";
print $gplot "set ylabel 'Delta Delay (%)' offset character 0,0\n"; 
print $gplot "set x2zeroaxis lt 1 lw 1\n";
print $gplot "set tics nomirror\n";
print $gplot "unset ytics\n";
print $gplot "set y2tics offset -0.5,0\n";
print $gplot "set xtics scale 0 offset 0,0.25\n";
print $gplot "set noborder\n";
print $gplot "set grid y2tics\n";

my $i = 0;
my @tics = map { "\"$_->[0]\" ".$i++ } @table;
print $gplot "set xtics rotate 90\n";
print $gplot "plot 'fig1.dat' u (100.0*(\$3-\$2)/\$2):xticlabels(1) axes x1y2 notitle ps 1 lw 2\n";

close($gplot);
system("gnuplot fig1.gplot");
