#!/usr/bin/Rscript

all_data <- na.omit(read.table("fig2.dat",header=T))


fig2 <- function(dat)
{
	pdf(sprintf("fig2_%s.pdf",dat[1,]$net))
	vpr = dat[dat$n<0,]$cp
	vals = dat[dat$n>=0,]$cp
#
	hist(c(vals,vpr), breaks = 25, main = sprintf("Figure 2 for %s",dat[1,]$net), col = "gray", xlab = "Delay (ns)");
	abline(v = vpr, lwd = 2, lty = 2);
	legend("topright", "original ordering", lty = 2, lwd = 2, bty = 'n')
	box()
	print(sprintf("Plotted %d points for %s to fig2_%s.pdf",length(c(vals,vpr)),dat[1,]$net,dat[1,]$net))
	dev.off()
}

by(all_data,all_data$net,fig2)
