#!/bin/sh

get()
{
	url=$1

	if [ -e `basename $url` ]
	then
		return
	fi

	if which wget > /dev/null
	then
		wget $url
		return
	fi

	if which curl > /dev/null
	then
		curl -o `basename $url` $url
	fi

	while [ ! -e `basename $url` ]
	do
		echo No wget or curl, please download $url manually.
		echo Press enter to continue or ctrl-c to cancel
		read
	done
}

check_net()
{
	if [ ! -e ${base}/inputs/net/$1.net ]
	then
		echo $1 not a valid netlist name
		exit 1
	fi
}

number_list_usage()
{
	echo "The list may be comma separated ranges"
	echo "(- and .. interchangably specify an inclusive range)."
	echo "Some examples:"
	echo "\t12"
	echo "\t1-10"
	echo "\t1-10,12"
	echo "\t5,8-10,7..20"

}
number_list()
{
	echo $1 | perl -ne 'chomp;die "|$_|" if($_ !~ /^[\d\.,-]*$/);s/-/../g; my %hash; @hash{eval $_} = 1; print join " ",map { sprintf("%0.5d",$_)} sort { $a <=> $b } keys %hash'
}

parse_cs_list()
{
	echo $1 | perl -ne 'chomp;die "|$_|" if($_ !~ /^[\d\.,-]*$/);s/-/../g; my %hash; @hash{eval $_} = 1; print join " ",grep { ($_ % 2) == 0 }  sort { $a <=> $b } keys %hash'
}

pfm_flags()
{
	case $1 in
		1.1 | 1.3 )
			echo -pres_fac_mult $1 -max_router_iterations 1000
		;;
		tcs )
			echo -tcrit_search -max_router_iterations 150 -tcrit_steps 10 -tcrit_jitters 1 -tcrit_precision 0.0001
		;;
	esac
}
