
vpr_tar=""

find_vpr_tar()
{
	# some shells will not expand this, so enumerate all combinations
	# explicitly
	#
	# {./,../}vpr_5.0.2{,_small}.t{gz,ar.bz2}
	for tarball in ./vpr_5.0.2.tgz ./vpr_5.0.2.tar.bz2 ./vpr_5.0.2_small.tgz ./vpr_5.0.2_small.tar.bz2 ../vpr_5.0.2.tgz ../vpr_5.0.2.tar.bz2 ../vpr_5.0.2_small.tgz ../vpr_5.0.2_small.tar.bz2
	do
		echo checking $tarball
		if [ "x" = "x$vpr_tar" ]
		then
			if [ -e "$tarball" ]
			then
				echo "Found $tarball, use this file?"
				echo -n "[Yn]"
				read choice
				
				if [ "x`echo -n $choice`" = "x" ]
				then
					choice='y'

				fi

				case $choice in
					y*|Y* )
						vpr_tar="$tarball"
					;;
				esac
			fi
		fi
	done
}

find_vpr_tar

while [ "x" = "x$vpr_tar" ]
do
	echo Please download vpr_5.0.2_small.tgz or vpr_5.0.2_small.tar.bz2 from:
	echo http://www.eecg.utoronto.ca/vpr
	echo Place the tarball in this directory or enter the full path to specify it manually:
	echo -n "> "
	read vpr_tar
	if [ ! -e "$vpr_tar" ]
	then
		vpr_tar=""
		find_vpr_tar
	fi
done

mkdir -p src
tar -C src -xf $vpr_tar
cd src
if [ ! -d VPR_HET ]
then
	if [ -d vpr_5/HET_FPGA/TOOLS/VPR_HET ]
	then
		mv vpr_5/HET_FPGA/TOOLS/VPR_HET .
	else
		echo tar failed, dying
		exit 1
	fi
fi

mkdir -p ../inputs/arch
cd VPR_HET
patch -o ../../inputs/arch/k4-n4_nom.xml < ../../patches/arch/k4-n4_nom.xml.patch
patch -o ../../inputs/arch/k4-n4_fast.xml < ../../patches/arch/k4-n4_fast.xml.patch

pwd
for i in ../../patches/vpr_5.0.2/*.patch
do
	patch -p2 < $i
done

make

cd ../..

./runme.pl
